restinio::http_field_parsers::content_disposition_details::mime_charsetc_predicate_t Struct Reference

A preducate for symbol_producer_template that checks that a symbol is mime-charsetc symbol from RCF5987. More...

`#include <content-disposition.hpp>`

## Public Member Functions

RESTINIO_NODISCARD bool | operator() (const char actual) const noexcept

## Detailed Description

A preducate for symbol_producer_template that checks that a symbol is mime-charsetc symbol from RCF5987.

See: https://tools.ietf.org/html/rfc5987#section-3.2

Since
  v.0.6.1

Definition at line 126 of file content-disposition.hpp.

## Member Function Documentation

## operator()()

RESTINIO_NODISCARD bool restinio::http_field_parsers::content_disposition_details::mime_charsetc_predicate_t::operator() | ( | const char | actual | ) | const

inlinenoexcept

Definition at line 130 of file content-disposition.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/http_field_parsers/content-disposition.hpp